Subject: bug#61396: diff mode could distinguish changed from deleted lines

From: Juri Linkov <[email-masked]>
Date: Sun, 01 Oct 2023 09:32:23 +0300

>> I realized now the same problem exists even without color highlighting at all.
>> This is because of a poor choice of indicators in the diff utility.
>
> Which I guess is why many (all?) of the other systems that show
> changes use the side-by-side display, where these problems largely
> don't exist.  So maybe we should migrate to using "diff -y" or sdiff?

Many other systems like GitHub and GitLab show the unified format by default
with exactly the same color highlighting and diff indicators as in Emacs,
and they don't see a problem with this.

Such systems also provide an option to switch to the side-by-side format as well.
But such format looks more like what Ediff does by displaying two buffers
side-by-side with (setq ediff-split-window-function 'split-window-horizontally)
and optionally enabled display-line-numbers-mode in them.